#!/usr/bin/env bash

source "$(dirname "$0")/variables.conf"

# TODO handle non-Systemd systems

echo "Copying Systemd units to system directory..."
sudo cp $(dirname "$0")/systemd-templates/conf-sync.service /etc/systemd/system/
sudo sed -i -e "s/PH_USER/$(whoami)/g" /etc/systemd/system/conf-sync.service
sudo sed -i -e "s:PH_DIRECTORY:$(pwd):g" /etc/systemd/system/conf-sync.service
if [ "$client_type" = "server" ]; then
  sudo cp $(dirname "$0")/systemd-templates/dns-update.timer /etc/systemd/system/conf-sync.timer
else
  sudo cp $(dirname "$0")/systemd-templates/dns-update.timer /etc/systemd/system/conf-sync.timer
fi

echo "Reloading Systemd..."
sudo systemctl daemon-reload
echo "Enabling timer (not starting it, either do it manually or reboot)..."
sudo systemctl enable conf-sync.timer

echo "Finished install. Exiting..."
exit 0
